libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_filter Struct Reference
Digital TV frontend scan

Describes the PES filters used by DVB scan. More...

`#include <dvb-scan.h>`

## Data Fields
unsigned char | tid
uint16_t | pid
int | ts_id
void ** | table
int | allow_section_gaps
void * | priv

## Detailed Description

Describes the PES filters used by DVB scan.

Parameters

  tid | Table ID
  pid | Program ID
  ts_id | Table section ID (for multisession filtering). If no specific table section is needed, -1 should be used
  table | pointer to a pointer for the table struct to be filled
  allow_section_gaps | Allow non-continuous section numbering
  priv | Internal structure used inside the DVB core. shouldn't be touched externally.

Definition at line 122 of file dvb-scan.h.

## Field Documentation

## ◆ allow_section_gaps

int dvb_table_filter::allow_section_gaps

Definition at line 129 of file dvb-scan.h.

## ◆ pid

uint16_t dvb_table_filter::pid

Definition at line 125 of file dvb-scan.h.

## ◆ priv

void* dvb_table_filter::priv

Definition at line 136 of file dvb-scan.h.

## ◆ table

void** dvb_table_filter::table

Definition at line 127 of file dvb-scan.h.

## ◆ tid

unsigned char dvb_table_filter::tid

Definition at line 124 of file dvb-scan.h.

## ◆ ts_id

int dvb_table_filter::ts_id

Definition at line 126 of file dvb-scan.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-scan.h